%define builtin_release_version 1 
%define builtin_release_name Final 
%define builtin_release_variant 4
%define real_release_version %{?release_version}%{!?release_version:%{builtin_release_version}}
%define real_release_name %{?release_name}%{!?release_name:%{builtin_release_name}}
%define current_arch %{_arch}
%ifarch i386
%define current_arch x86
%endif
Summary: Centos Linux release file
Name: centos-release
Version: 4
Release: 4.2
Epoch: 6 
License: GPL
Group: System Environment/Base
Source: centos-release-%{version}.tar.gz
Source1: sources
Source2: CentOS-Base.repo
Source3: centos.list
Source4: CentOS-Media.repo
Provides: redhat-release yumconf
Obsoletes: rawhide-release redhat-release-as redhat-release-es redhat-release-ws redhat-release-de tao-release whitebox-release redhat-release centos-yumconf

BuildRoot: %{_tmppath}/redhat-release-root

%description
CentOS release files

%prep
%setup -q -n centos-release-%{version}

%%build 
python -c "import py_compile; py_compile.compile('eula.py')"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc
echo "CentOS release 4.4 (%{real_release_name})" > $RPM_BUILD_ROOT/etc/redhat-release
cp $RPM_BUILD_ROOT/etc/redhat-release $RPM_BUILD_ROOT/etc/issue
echo "Kernel \r on an \m" >> $RPM_BUILD_ROOT/etc/issue
cp $RPM_BUILD_ROOT/etc/issue $RPM_BUILD_ROOT/etc/issue.net
echo >> $RPM_BUILD_ROOT/etc/issue

mkdir -p $RPM_BUILD_ROOT/usr/share/firstboot/modules
cp eula.py* $RPM_BUILD_ROOT/usr/share/firstboot/modules

mkdir -p $RPM_BUILD_ROOT/usr/share/eula
cp eula.[!py]* $RPM_BUILD_ROOT/usr/share/eula

mkdir -p $RPM_BUILD_ROOT/var/lib
cp supportinfo $RPM_BUILD_ROOT/var/lib/supportinfo

#default up2date sources file
mkdir -p -m 755 $RPM_BUILD_ROOT/etc/sysconfig/rhn
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/rhn

#default yum configuration file
mkdir -m 755 $RPM_BUILD_ROOT/etc/yum.repos.d
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/etc/yum.repos.d

#CentOS-Media yum repo
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT/etc/yum.repos.d

#default apt sources.list, apt only for i386
%ifarch i386 
mkdir -p -m 755 $RPM_BUILD_ROOT/etc/apt/sources.list.d
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT/etc/apt/sources.list.d
%endif

%clean
rm -rf $RPM_BUILD_ROOT

# If this is the first time a package containing /etc/issue
# is installed, we want the new files there. Otherwise, we
# want %config(noreplace) to take precedence.
%triggerpostun  -- redhat-release < 7.1.93-1
if [ -f /etc/issue.rpmnew ] ; then
   mv -f /etc/issue /etc/issue.rpmsave
   mv -f /etc/issue.rpmnew /etc/issue
fi
if [ -f /etc/issue.net.rpmnew ] ; then
   mv -f /etc/issue.net /etc/issue.net.rpmsave
   mv -f /etc/issue.net.rpmnew /etc/issue.net
fi

%files
%defattr(-,root,root)
%attr(0644,root,root) /etc/redhat-release
%doc R*
%doc EULA GPL autorun-template centosdocs-man.css
%dir /etc/sysconfig/rhn
%config(noreplace) /etc/sysconfig/rhn/sources
%dir /etc/yum.repos.d/
%config(noreplace) /etc/yum.repos.d/CentOS-Base.repo
%config(noreplace) /etc/yum.repos.d/CentOS-Media.repo
%ifarch i386
%dir /etc/apt/sources.list.d
%config(noreplace) /etc/apt/sources.list.d/centos.list
%endif

%config(noreplace) %attr(0644,root,root) /etc/issue
%config(noreplace) %attr(0644,root,root) /etc/issue.net
/var/lib/supportinfo
/usr/share/firstboot/modules/eula.py*
/usr/share/eula/eula.*

%changelog
* Wed Aug 23 2006 Johnny Hughes <johnny@centos.org>
- added the CentOS-Media.repo for DVD installs via yum

* Thu Jun  1 2006 Johnny Hughes <johnny@centos.org>
- Modified to provide yumconf and obsolete centos-yumconf
- added the default yum, apt, and up2date repository files

* Mon Jan  2 2006 Johnny Hughes <johnny@centos.org>
- Modified to obsolete and provide redhat-release instead
  of just providing it.
- Modified to config(noreplace) /etc/issue and /etc/issue.net

* Sun Oct  9 2005 Johnny Hughes <johnny@centos.org>
- Initial release for CentOS-4.2 Final 

* Sun Apr 10 2005 Johnny Hughes <johnny@centos.org>
- Initial release for CentOS-4.1 final

* Sun Feb 27 2005 Johnny Hughes <johnny@centos.org>
- added new release notes for CentOS-4 final
